Menu icon Foundation
Nextgen gallery conflict with wordpress

Hi guys,

I have an urgent need.
I use the Reverie wordpress theme and it uses foundation 5.

I installed Nextgen gallery that uses jquery. For this reason, I get this error: Uncaught TypeError: Object [object Object] has no method 'foundation'

I need to solve this problem.

Any suggestions?

jquerywordpresswpreverieconflictnextgen

Hi guys,

I have an urgent need.
I use the Reverie wordpress theme and it uses foundation 5.

I installed Nextgen gallery that uses jquery. For this reason, I get this error: Uncaught TypeError: Object [object Object] has no method 'foundation'

I need to solve this problem.

Any suggestions?

Daniele Pavinato almost 6 years ago

No one can help me?

Victor Garcia almost 6 years ago

Have you tried to use jQuery instead of "$"?

Daniele Pavinato almost 6 years ago

Yes, but nothing... It still gives me the same error.

Any others suggestion?

Daniel Watson almost 6 years ago

Danielle - what nextgen are you trying to install? Smart Slider and a couple other plugins have a dependency on a nextgen core plug-in - I ran into a similar problem with Smart Slider 2.

Phil Doughty about 5 years ago

I have the same problem. Danielle, did you find a fix around?

Wing-Hou Chan about 5 years ago

Hey Phil!

Could you post a link to the site in development?

Matt about 5 years ago

Did anyone find a resolution to this? I have just come across this problem.

Thanks

Chris McGroarty almost 5 years ago

NextGEN Gallery overrides (and makes sure of it) any custom jQuery registered/enqueued with WordPress by any themes/plugins. It resets it back to the default jQuery that comes with WordPress. This is v1.11.1, whereas Foundation 5 comes with v2.1.1. I went in and edited out the functions in NextGEN that resets jQuery, and a Foundation theme worked fine.

I have not yet tested NextGEN still works with v2.1.1 (just encountered this issue when I installed the plugin, but haven't built any galleries yet).

You're looking for fix_jquery() in /wp-content/plugins/nextgen-gallery/nggallery.php

Kevin RAy over 4 years ago

@Chris McGroarty. This will break NextGen....At least it did for me.